/* Copyright (C) 2007 HighWide. All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE HIGHWIDE "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE HIGHWIDE BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * -----
 * {\tgEFA"The modified BSD license"ɏ܂B
 */
package jp.highwide.resourcechecker.checker;

/**
 * \[X`FbNsʏi[NXB
 */
public class ResourceCheckerResult {
	private String logicName = "";
	private int charStart = -1;
	private int charEnd = -1;
	private int lineNumber = 0;
	private String message = "";
	private Object userData = null;
	private Severity severity = Severity.SEVERITY_INFO;
	/** dvx */
	public enum Severity {
		/** 񃌃x */
		SEVERITY_INFO,
		/** xx */
		SEVERITY_WARNING,
		/** G[x */
		SEVERITY_ERROR
	}

	/**
	 * charEndԋpB
	 * @return charEnd
	 */
	public int getCharEnd() {
		return charEnd;
	}

	/**
	 * charEndݒ肷B
	 * @param charEnd charEnd
	 */
	public void setCharEnd(int charEnd) {
		this.charEnd = charEnd;
	}

	/**
	 * charStartԋpB
	 * @return charStart
	 */
	public int getCharStart() {
		return charStart;
	}

	/**
	 * charStartݒ肷B
	 * @param charStart charStart
	 */
	public void setCharStart(int charStart) {
		this.charStart = charStart;
	}

	/**
	 * lineNumberԋpB
	 * @return lineNumber
	 */
	public int getLineNumber() {
		return lineNumber;
	}

	/**
	 * lineNumberݒ肷B
	 * @param lineNumber lineNumber
	 */
	public void setLineNumber(int lineNumber) {
		this.lineNumber = lineNumber;
	}

	/**
	 * messageԋpB
	 * @return message
	 */
	public String getMessage() {
		return message;
	}

	/**
	 * messageݒ肷B
	 * @param message message
	 */
	public void setMessage(String message) {
		this.message = message;
	}

	/**
	 * severityԋpB
	 * @return severity
	 */
	public Severity getSeverity() {
		return severity;
	}

	/**
	 * severityݒ肷B
	 * @param severity severity
	 */
	public void setSeverity(Severity severity) {
		this.severity = severity;
	}

	/**
	 * userDataԋpB
	 * @return userData
	 */
	public Object getUserData() {
		return userData;
	}

	/**
	 * userDataݒ肷B
	 * @param userData userData
	 */
	public void setUserData(Object userData) {
		this.userData = userData;
	}

	/**
	 * logicNameԋpB
	 * @return logicName
	 */
	public String getLogicName() {
		return logicName;
	}

	/**
	 * logicNameݒ肷B
	 * @param logicName logicName
	 */
	public void setLogicName(String logicName) {
		this.logicName = logicName;
	}

	/**
	 * \ԋpB
	 * @return \
	 */
	@Override
	public String toString() {
		return getSeverity() + " " + getMessage() + " LineNumber="
				+ getLineNumber();
	}

}
